BimpДовідка

Введення початкових залишків: методи API Bimp

Методи API Bimp для ресурсу «Введення початкових залишків» (/org2/enteringOpeningBalances/…): 4 методи. Базова адреса: https://app.bimpsoft.com. Усі запити, крім входу, передають токен компанії в заголовку access-token — див. Початок роботи з API.

Entering opening balances documents

МетодЩо робить
POST /org2/enteringOpeningBalances/api-readListList entering opening balances documents
POST /org2/enteringOpeningBalances/api-readRead an entering opening balances document with stocks lines
POST /org2/enteringOpeningBalances/api-createCreate an entering opening balances document
POST /org2/enteringOpeningBalances/api-updateUpdate an entering opening balances document

api-readList

POST /org2/enteringOpeningBalances/api-readList

List entering opening balances documents

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
paginationobjectтак
pagination.offsetnumberтакBegin from {offset} elements
pagination.countnumberтакLimit of paginated elemets
periodableobject[]Period range [from, to] (UTC ISO strings)
organizationsstring (uuid)[]A unique identifier for the Organization, obtainable from the /organization/api-readList request
commentstringAn optional text field for any additional notes or comments related to the document
showArchivedbooleanInclude archived documents

Відповідь: поле data

ПолеТипОпис
[].uuidstring (uuid)A unique uuid key for the entering opening balances document
[].namestringDocument display name
[].numberstringThe document’s number. Use this field if you need to specify a custom number
[].datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
[].commentstringAn optional text field for any additional notes or comments related to the document
[].archivedbooleanWhether the document is archived
[].organizationstring (uuid) | null
curl -X POST 'https://app.bimpsoft.com/org2/enteringOpeningBalances/api-readList' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"pagination":{"offset":0,"count":10}}'

api-read

POST /org2/enteringOpeningBalances/api-read

Read an entering opening balances document with stocks lines

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
uuidstring (uuid)такA unique uuid key for the entering opening balances document

Відповідь: поле data

ПолеТипОпис
uuidstring (uuid)A unique uuid key for the entering opening balances document
namestringDocument display name
numberstringThe document’s number. Use this field if you need to specify a custom number
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
commentstringAn optional text field for any additional notes or comments related to the document
archivedbooleanWhether the document is archived
organizationstring (uuid) | null
authorstring (uuid) | null
stocksobject[]An array of product objects, representing the nomenclatures included in the document
stocks[].nomenclaturestring (uuid) | null
stocks[].warehousestring (uuid) | null
stocks[].quantitynumberThe amount of items
stocks[].pricenumberThe price of the item/document
stocks[].sumnumberThe sum of the document
stocks[].unitOfMeasurementstring (uuid) | null
stocks[].characteristicstring (uuid) | null
stocks[].partystring (uuid) | null
stocks[].commentstringAn optional text field for any additional notes or comments related to the document
stocks[].serialNumbersstring (uuid)[]Serial number UUIDs for this stock line
curl -X POST 'https://app.bimpsoft.com/org2/enteringOpeningBalances/api-read' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

api-create

POST /org2/enteringOpeningBalances/api-create

Create an entering opening balances document

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
organizationstring (uuid)A unique identifier for the Organization, obtainable from the /organization/api-readList request
numberstringThe document’s number. Use this field if you need to specify a custom number
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
commentstringAn optional text field for any additional notes or comments related to the document
authorstring (uuid)A unique identifier for the Author, obtainable from the /user/api-readList request
stocksobject[]такAn array of product objects, representing the nomenclatures included in the document
stocks[].nomenclaturestring (uuid)такA unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request
stocks[].warehousestring (uuid)такA unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request
stocks[].quantitynumberтакThe amount of items
stocks[].pricenumberтакThe price of the item/document
stocks[].unitOfMeasurementstring (uuid)A unique identifier for the Unit of Measurement, obtainable from the /unitsOfMeasurment/api-readList request
stocks[].characteristicstring (uuid)Nomenclature characteristic UUID
stocks[].partystring (uuid)A unique identifier for the Party, obtainable from the party catalog
stocks[].commentstringAn optional text field for any additional notes or comments related to the document
stocks[].serialNumbersstring (uuid)[]Serial number UUIDs for this stock line

Відповідь: поле data

ПолеТипОпис
uuidstring (uuid)
curl -X POST 'https://app.bimpsoft.com/org2/enteringOpeningBalances/api-create' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"stocks":[{}]}'

api-update

POST /org2/enteringOpeningBalances/api-update

Update an entering opening balances document

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
uuidstring (uuid)такA unique uuid key for the entering opening balances document
organizationstring (uuid)A unique identifier for the Organization, obtainable from the /organization/api-readList request
numberstringThe document’s number. Use this field if you need to specify a custom number
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
commentstringAn optional text field for any additional notes or comments related to the document
authorstring (uuid)A unique identifier for the Author, obtainable from the /user/api-readList request
stocksobject[]An array of product objects, representing the nomenclatures included in the document
stocks[].nomenclaturestring (uuid)такA unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request
stocks[].warehousestring (uuid)такA unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request
stocks[].quantitynumberтакThe amount of items
stocks[].pricenumberтакThe price of the item/document
stocks[].unitOfMeasurementstring (uuid)A unique identifier for the Unit of Measurement, obtainable from the /unitsOfMeasurment/api-readList request
stocks[].characteristicstring (uuid)Nomenclature characteristic UUID
stocks[].partystring (uuid)A unique identifier for the Party, obtainable from the party catalog
stocks[].commentstringAn optional text field for any additional notes or comments related to the document
stocks[].serialNumbersstring (uuid)[]Serial number UUIDs for this stock line

Відповідь: поле data

ПолеТипОпис
uuidstring (uuid)
curl -X POST 'https://app.bimpsoft.com/org2/enteringOpeningBalances/api-update' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

Інтерактивна документація з можливістю надіслати тестовий запит: https://app.bimpsoft.com/docs. Специфікація OpenAPI оновлюється разом із Bimp; ця сторінка згенерована з неї автоматично.